Jump to content
Latest News: (loading..)
ralgiere

Multi-Vendor shipping

Recommended Posts

First of all I hope I am posting this in the correct place.I am not a programmer but someone that has a desire. I am almost too embarrassed to ask but I need help.

 

I added the Multi-Vendor shipping add-on to my web site and now the checkout_shipping.php is blank. I looked first on this site before I bothered anyone but could not find what I am looking for.

 

Could someone PLEASE help me get my web site back to where i can sell items?

Thank so much for any help I can get.

Ray

Share this post


Link to post
Share on other sites

If the page is blank its pretty likely your host has supressed errors.

See if you have an error log text file which will give you a heads up on what the errror could be.

Nic


Sometimes you're the dog and sometimes the lamp post

[/url]

My Contributions

Share this post


Link to post
Share on other sites

Did you manually install the add-on, or use the Package Manager? Either way, you should be able to back out the add-on installation and at least get back to selling. Hopefully an uninstall will work... if not, you did back up your store before installing the add-on, right?

 

Before installing the add-on, did you confirm that it says it is safe for use on your particular osC version? Sometimes older add-ons will break newer osC versions. If it does not list your osC version as compatible, I would have someone look at the add-on code to see if it will probably be a problem. Note that sometimes the add-on's author simply has not gotten around to updating the compatibility list for a while. It sounds in your case like either the add-on is incompatible, or there was a mistake while installing it and your resulting PHP code is bad.

 

By the way, if you're just starting out with osC, the current version that should be installed is osC 2.3.4BS Edge. It's the only up-to-date version offered. The official osC 2.3.4 is 3 years old and doesn't run on current PHP versions.

Share this post


Link to post
Share on other sites

One additional note: The MVS addon has its own support thread. Posting there is more likely to get you the proper support.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I have tried to install the Multi-Vendor shipping add-on without any success. I have started all over with a new install of OSCommerce Online Merchant v2.3.4. Could someone PLEASE send me a link to the Multi-Vendor shipping add-on that works with OSCommerce Online Merchant v2.3.4 and detailed instructions on how to add it to V2.3.4

Share this post


Link to post
Share on other sites

@ralgiere  Please don't make the same post in multiple threads. Also, if you want help on an Addon, posting in that Addon's support thread will usually get the best result.

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

" new install of OSCommerce Online Merchant v2.3.4 "  -- that's a mistake. Do not install osC 2.3.4 -- it's several years old and quite out of date. 2.3.4.1 (now available on this site's downloads section) is more up to date, and the Community version (2.3.4BS Edge, installed from GitHub) is much better, including being Responsive (vital for anyone shopping on a phone). Short story: don't install 2.3.4 for a new store. Go with Edge, unless MVS is vital to you, but will not work with it and you have to use 2.3.4.1 instead. That may not be documented anywhere, and you may just have to try it.

If you get a blank screen (White Screen Of Death), that means that something corrupted the PHP file during the installation, and you have a fatal PHP error. You might find an error log (literally, an "error_log" file on my system) that explains what happened, you might find some partial code (or error messages) output to the browser (use the View Source to see if there's anything), or there might be some other error log page available to you. I think the first thing to do, before spending a lot of time on this, is to confirm that MVS is supposed to work with your base version of osC. It's possible that it's intended for an earlier version, and simply won't work on 2.3.4 or later. Try a careful re-install of osC (make sure it's working) and then try installing MVS again. Look at its "manual install" instructions and consider doing a manual update of your store, following the instructions. You may discover what the problem is and be able to work around it, but this will require PHP programming skills.

Share this post


Link to post
Share on other sites

good morning Phil,

I don't know where  to ask for help after installing MVS and don't want to get in trouble again. I am getting an error message after setting up the MVS (Error: You have not selected a shipping method for all groups of products. Please select one shipping method for each group of products below) Can you PLEASE help me or point me to where I can get help?

 

InkedCapture_LI.jpg.fd7f5b2c3f0dfd57998e13e54120ab19.jpg

Share this post


Link to post
Share on other sites

Your problem is that your UPSXML module is not set up properly. You need to get a valid Web Access code from UPS and put that in the module's Admin section. That error message should then go away.

If you just want to test osCommerce, disable the UPSXML module and use one of the stock osCommerce modules instead. You can always switch to the module you want to use with your live store when you get all of the access codes etc.

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I hope everyone had a great Christmas.

Well I setup the shipping and it still does not work. I have what looks like a button says (please select) that does not do a thing, should I be able to click on it and select what shipping I want? Also I set up a test account for California that has a tax and the tax does not show up.

Could someone help me?

 

 

no button.PNG

nowtax.PNG

Share this post


Link to post
Share on other sites

There is something wrong with the setup for both of your UPSXML modules. I can't tell what that error is without more information, but chances are it is the same for both.

I recommend that you turn off your UPSXML modules and use the standard modules to verify that MVS is working correctly. Once you have that working, turn on one of the UPSXML modules and get that to work before tackling the second. It's a lot easier that way.

MVS has nothing to do with taxes, so you need to post a question in the general forum about that.

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Try uninstalling the USPS module in every vendor that you have it installed in.

I have no idea if that is the current version of that module. Where did you get it?

Regards

Jim

 


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

The first thing to try to fix is "Couldn't find constant MODULE_SHIPPING_USPS_USERID_1" in .../usps.php. usps.php is expecting someone to have defined a constant name MODULE_SHIPPING_USPS_USERID_1 somewhere, so it sounds like your install did not go well. Is this still the standard osC 2.3.4 you're using? Any add-ons that you installed specify that they are compatible with osC 2.3.4? Sometimes these defines are expected to be inserted into the database during the add-on installation -- you didn't ignore any warnings about DB problems, did you?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×